Bug 653085 - If external monitor plugged, compiz crashes.
Summary: If external monitor plugged, compiz crashes.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 14
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 13:28 UTC by Petr Tomasek
Modified: 2018-04-11 09:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 16:59:05 UTC
Type: ---


Attachments (Terms of Use)
compiz crash log (7.47 KB, text/plain)
2011-03-28 17:42 UTC, Valent Turkovic
no flags Details
glxinfo from nx7300 laptop (11.02 KB, text/plain)
2011-03-28 17:47 UTC, Valent Turkovic
no flags Details
compiz abrt crash log from hp mini (37.30 KB, text/plain)
2011-03-28 20:17 UTC, Valent Turkovic
no flags Details
hpmini 5101 glxinfo (11.02 KB, text/plain)
2011-03-28 20:18 UTC, Valent Turkovic
no flags Details

Description Petr Tomasek 2010-11-14 13:28:58 UTC
Description of problem:

If external monitor is plugged, gnome automatically configures it and compiz (with default configuration; choosen by "Desktop effects") crashes consequently.


Version-Release number of selected component (if applicable):

compiz-0.8.6-3.fc14

Additional info:

$ xrandr -q   # after this gnome "auto" - idiocy...

Screen 0: minimum 320 x 200, current 2304 x 800, maximum 4096 x 4096
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x
207mm
   1280x800       60.0*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1024x768+1280+0 (normal left inverted right x axis y axis) 0mm x
0mm
   1024x768       60.0* 
   800x600        60.3     56.2  
   848x480        60.0  
   640x480        59.9  
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9


See also bug #653082

Comment 1 Peter Robinson 2010-11-15 13:35:40 UTC
Please all crash dump with all debuginfo files installed. Please also provide details of your graphics cards as per http://fedoraproject.org/wiki/How_to_debug_Xorg_problems

Comment 2 Valent Turkovic 2011-03-28 17:21:48 UTC
This issue has happen to me on Fedora 12, 13 and now on 14.

I would like to help and track down this bug. I have collected some abrt logs and will post them here.

Laptops I'm using have intel video chips, hope that info also helps.

Comment 3 Valent Turkovic 2011-03-28 17:42:48 UTC
Created attachment 488205 [details]
compiz crash log

This is compiz abrt crash log from Compaq NX7300 laptop with Intel 945GM graphics chip.

Comment 4 Valent Turkovic 2011-03-28 17:47:27 UTC
Created attachment 488210 [details]
glxinfo from nx7300 laptop

Comment 5 Valent Turkovic 2011-03-28 20:17:32 UTC
Created attachment 488247 [details]
compiz abrt crash log from hp mini

compiz abrt crash log from hp mini 5101 with Intel 945GME integrated graphics card

Comment 6 Valent Turkovic 2011-03-28 20:18:41 UTC
Created attachment 488248 [details]
hpmini 5101 glxinfo

Comment 7 Valent Turkovic 2011-03-28 20:19:48 UTC
Do you need any more info regarding any of these two laptops or some more logs or config files?

Comment 8 Valent Turkovic 2011-03-30 06:59:23 UTC
After further testing it looks like compiz crashes only when both monitors are active

If you configure xrandr to disable laptop screen and leave only external monitor enabled then compiz works without crashing.

I'm not X.org or Intel driver expert by far, but this feels more like an intel driver issue than compiz bug.

Do you have any suggestion what I can do to help troubleshoot this issue further?

Comment 9 Adel Gadllah 2011-03-30 07:53:29 UTC
(In reply to comment #8)
> After further testing it looks like compiz crashes only when both monitors are
> active
> 
> If you configure xrandr to disable laptop screen and leave only external
> monitor enabled then compiz works without crashing.
> 
> I'm not X.org or Intel driver expert by far, but this feels more like an intel
> driver issue than compiz bug.
> 
> Do you have any suggestion what I can do to help troubleshoot this issue
> further?

The Intel 945GM supports texture sizes up to 2048x2048 ... which means for anything bigger then that -> no compiz.

With one monitor you are within the limit but adding the second one exceeds it and thus stops working.

Comment 10 Valent Turkovic 2011-03-30 14:13:17 UTC
Thank you very much. I'll take this info to Compiz developers and hopefully there could be made to gracefully fail and not crash.

Comment 11 Andris Pavenis 2011-04-04 07:04:05 UTC
I do not know about Intel 945GM, but when I had problems on 

VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

(from lspci) although not with compiz with 2 external monitors attached to the
docking station (width together 3004: 1600 + 1405) I added the following file
to /usr/share/X11/xorg.conf.d:

[apavenis@callisto xorg.conf.d]$ cat /usr/share/X11/xorg.conf.d/05-screen.conf 
Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Virtual   3100 1600
	EndSubSection
EndSection

It fixed problems I had. Now checked that also compiz works.
Maybe it helps.

Comment 12 Valent Turkovic 2011-04-04 08:20:45 UTC
@Andris can you please see what is the maximal texture size you card can handle by issuing this command:

glxinfo -l | grep MAX_TEXTURE_SIZE

Comment 13 Valent Turkovic 2011-04-04 08:40:10 UTC
I also posted this issue to upstream compiz devels:
http://bugs.opencompositing.org/show_bug.cgi?id=1330

Comment 14 Andris Pavenis 2011-04-04 10:28:12 UTC
(In reply to comment #12)
> @Andris can you please see what is the maximal texture size you card can handle
> by issuing this command:
> 
> glxinfo -l | grep MAX_TEXTURE_SIZE

I was perhaps wrong about similarity of the problems I experienced:
[apavenis@callisto ~]$ glxinfo -l | grep MAX_TEXTURE_SIZE
    GL_MAX_TEXTURE_SIZE = 4096

Comment 15 Petr Tomasek 2011-04-05 08:38:50 UTC
Hi, I am the original reporter, for me GL_MAX_TEXTURE_SIZE = 2048.

Comment 16 Matěj Cepl 2011-04-05 11:45:49 UTC
(In reply to comment #2)
> This issue has happen to me on Fedora 12, 13 and now on 14.
> 
> I would like to help and track down this bug.

And could you please do so in your own bug? If you want mention that this bug is similar, you can do so in description.

Comment 17 Matěj Cepl 2011-04-05 15:36:18 UTC
(In reply to comment #15)
> Hi, I am the original reporter, for me GL_MAX_TEXTURE_SIZE = 2048.

Petře, could you provide the files requested in comment 1, please?

Thank you

Comment 18 Petr Tomasek 2011-04-05 16:25:58 UTC
Hello, Matěji,

Unfortunatelly I don't have the external monitor here. I can try it in about 2 weeks (hopefully I'll find time then). I'm now using Fedora 14 (the original bug happend on F12) but I tried it after the new installation and it did crash...

Comment 19 Matěj Cepl 2011-04-05 17:04:34 UTC
Cool, switching on needinfo so that the bug won't get lost.

Comment 20 Valent Turkovic 2011-04-08 10:40:53 UTC
Hi Matej, please check out comment from Danny (Compiz developer):
http://bugs.opencompositing.org/show_bug.cgi?id=1330#c1

It looks like it is a intel driver bug.

Matej can you please help with contacting intel driver developers. My guess is that we should ask intel driver developers if it is possible to fix this issue in driver so it doesn't cause intel driver and compiz to crash.

Comment 21 Valent Turkovic 2011-04-08 10:42:59 UTC
Matej what do you suggest I do? Should I open a new intel driver bug in fedora bugzilla or open new bug in intel driver bugzilla?

I anybody has link to correct intel bugtracker please post the link.

Comment 22 Adel Gadllah 2011-04-12 08:17:34 UTC
(In reply to comment #21)
> Matej what do you suggest I do? Should I open a new intel driver bug in fedora
> bugzilla or open new bug in intel driver bugzilla?
> 
> I anybody has link to correct intel bugtracker please post the link.

http://intellinuxgraphics.org/how_to_report_bug.html

Comment 23 Valent Turkovic 2011-04-12 08:46:26 UTC
Upstream bug has been reported to Intel devels:
https://bugs.freedesktop.org/show_bug.cgi?id=36152

Comment 24 Fedora Admin XMLRPC Client 2011-06-01 20:28:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 25 Fedora Admin XMLRPC Client 2011-06-01 20:28:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 26 Fedora Admin XMLRPC Client 2011-06-01 20:29:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 27 Fedora Admin XMLRPC Client 2011-06-01 20:31:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 28 Valent Turkovic 2011-07-20 07:21:21 UTC
Looks like this issue could be resolved by last comment in upstream bug:
https://bugs.freedesktop.org/show_bug.cgi?id=36152

"Please retest as of:

commit 6e6b38860488a0b2b282866f095cea9860503a14
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Jul 11 11:32:04 2011 -0700

    i915: Fix map/unmap mismatches from leaving INTEL_FALLBACK during TNL.

    The first rendering after context create didn't know of the color
    buffer yet, triggering a sw fallback.  The intel_prepare_render() from
    intelSpanRenderStart then found the buffer and turned off fallbacks,
    but intelSpanRenderFinish was never called and things were left
    mapped.  By checking buffers before making the call on whether to do
    the fallback pipeline or not, we avoid the fallback change inside of
    the rendering pipeline."


So in which Fedora 14 update will this patch be available?

Comment 29 Valent Turkovic 2011-07-20 07:33:31 UTC
Please change component in this bugreport from compiz to xorg

Comment 30 leigh scott 2011-07-20 10:29:59 UTC
Reassigned to mesa

Comment 31 Fedora End Of Life 2012-08-16 16:59:08 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.